# -*- mode: rcu-spec -*-
#
#
Summary: 	Firmware for the RCU served via NFS
Name: 		rcufw
Version: 	20060503
Release: 	1
License: 	ALICE TPC License (restricted)
Group: 		System/Firmware
URL: 		http://ep-ed-alice-tpc.web.cern.ch/ep-ed-alice-tpc/firmware.htm
Source0: 	%{name}-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: 	noarch
Requires:	nfs-server

%description
Firmware for the RCU served via NFS

This installs the RCU firmware in /home/dcs, which can then be served
via NFS to the DCS boards.   On the DCS boards, the following should be 
setup

* The NFS directory /home/dcs should be mounted from the host this
  package is installed on.

* One should create the symbolic link 
	`/dcs-share/bit_files -> /home/dcs/lib/firmware'

* One should create the symbolic link 
	`/dcs-share/boot' -> `/home/dcs/etc/init.d'

%prep
%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT
make install VERSION=20060503 DESTDIR=$RPM_BUILD_ROOT
export STRIP=0
export OBJDUMP=0

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
/home/dcs/etc/init.d/S30rcu-conf.sh
/home/dcs/lib/firmware/rcu.bit
%doc /home/dcs/share/doc/rcufw/manual.pdf
%doc /home/dcs/share/doc/rcufw/README


%changelog
* Fri Jun 29 2007 Forward Multiplicity Detector <fmd@fmddaq.int.nbi.dk> 
- Use a skeleton

* Sat Apr  7 2007 Christian Holm <cholm@nbi.dk> 
- Initial build.


